Get Current User
curl --request GET \
--url https://api.example.com/auth/meimport requests
url = "https://api.example.com/auth/me"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/auth/me', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
Authentication
Get Current User
Get current user information
GET
/
auth
/
me
Get Current User
Get information about the currently authenticated user.
boolean
Indicates if the request was successful
object
User information
string
User UUID
string
User email address
boolean
Whether the user’s email is verified
Example Request
curl -X GET https://api.transaction.gg/auth/me \
-H "Authorization: Bearer jwt_token"
Example Response
{
"success": true,
"error": null,
"data": {
"user": {
"id": "user_uuid",
"email": "user@example.com",
"isVerified": true
}
}
}
Error Responses
{
"success": false,
"error": {
"status": 401,
"code": "UNAUTHORISED",
"message": "Invalid or missing authentication"
},
"data": null
}
⌘I